=== debian/changelog ===
advi (2.0.0-4build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:51:49 +0100

advi (2.0.0-4) unstable; urgency=medium

  * Use FORCE_SOURCE_DATE for dvips reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Mon, 26 Aug 2024 02:54:13 +0200

advi (2.0.0-3) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH to set the date in manual

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Aug 2024 06:37:01 +0200

advi (2.0.0-2) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH for reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Sat, 24 Aug 2024 06:51:17 +0200

advi (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Fix compilation with OCaml 5.2.0
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2024 05:18:27 +0200

advi (1.10.2-10) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:51:10 +0200

advi (1.10.2-9) unstable; urgency=medium

  * Add libgraphics-ocaml-dev to Build-Depends, fix its detection by
    configure script

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Oct 2020 11:15:03 +0200

advi (1.10.2-8) unstable; urgency=medium

  * Fix compilation with camlimages 5.0.3

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Aug 2020 10:40:44 +0200

advi (1.10.2-7) unstable; urgency=medium

  * Add empty override_dh_dwz to prevent FTBFS (Closes: #968225)
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 09:49:06 +0200

advi (1.10.2-6) unstable; urgency=medium

  * Add build-dependency texlive-extra-utils (closes: #951922)
  * Build-depend on debhelper-compat, drop file debian/compat
  * Debhelper compatibility level 12
  * Rename debian/TODO.Debian to debian/TODO
  * Standards-Version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 23 Feb 2020 22:03:49 +0100

advi (1.10.2-5) unstable; urgency=medium

  * Fix compilation with OCaml 4.08.0
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Sep 2019 13:36:53 +0200

advi (1.10.2-4) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version 4.3.0
    - d/copyright: https in format header
  * patch examples-scripts: fix spelling error in description
  * Debhelper compatibility level 11
    - d/rules: override dh_autoreconf
  * Remove trailing whitespace in this file.
  * d/copyright: change pointer to complete license from LGPL to LGPL-2.1

 -- Ralf Treinen <treinen@debian.org>  Fri, 25 Jan 2019 08:09:34 +0100

advi (1.10.2-3) unstable; urgency=low

  [Rémi Vanicat]
  * removing myself from uploaders

  [Ralf Treinen]
  * patch safe: make Safer mode the default (closes: #583994)
  * advi-examples: drop spurious Suggests tk4.8 et mpg321
  * Standards-Version 3.9.8 (no change)
  * advi-examples: drop Conflicts: advi (<< 1.6.0-4) since that version is
    more than 10 years old.
  * advi: drop "Replaces: activedvi,mldvi" since these are previous names
    of this package last used in 2002, resp. 2001.
  * advi: don't create empty directory usr/share/lintian/overrides/
  * d/control: fix Vcs-* fields, use secure URI
  * patch drop-build-date: make build reproducible (closes: #834137)
  * debhelper compat version 9
  * fix a spelling error in debian/README.

 -- Ralf Treinen <treinen@debian.org>  Mon, 23 Jan 2017 21:23:56 +0100
