=== debian/control ===
Source: advi
Section: tex
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml (>= 2),
 ocaml,
 ocaml-dune,
 libgraphics-ocaml-dev,
 libcamlimages-ocaml-dev (>= 1:5.0.3),
 tex-common,
 latexmk,
 texlive-binaries,
 texlive-latex-base,
 texlive-extra-utils,
 texlive-pstricks,
 texlive-latex-recommended,
 texlive-latex-extra,
 texlive-lang-french,
 texlive-pictures,
 hevea,
 x11proto-core-dev,
 libx11-dev,
 libxinerama-dev,
 zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/advi.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/advi
Homepage: http://advi.inria.fr/

Package: advi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends},
 texlive-base-bin, texlive-base, ghostscript-x (>= 7.05), perl
Suggests: fonts-ipafont-gothic | fonts-japanese-gothic,
 fonts-ipafont-mincho | fonts-japanese-mincho,
 bzip2
Description: active DVI previewer and presenter
 Active-DVI is a DVI previewer and presenter written in Objective Caml
 with some eye candy effects for presentation, support for interactive
 demonstrations, and embedding of arbitrary applications within the
 presentation (hence the Active adjective of the presenter :).
 .
 Active-DVI does not (yet) support postscript fonts (see the README.Debian for
 more details).
 .
 Active-DVI also has the ability to run embedded commands, which may cause
 security problems when viewing untrusted DVI files. Make sure to read the
 README.Debian for more information.

Package: advi-examples
Architecture: all
Depends: ${misc:Depends}, texlive-latex-base, advi, imagemagick
Suggests: fonts-ipafont-gothic | fonts-japanese-gothic,
 fonts-ipafont-mincho | fonts-japanese-mincho,
 ocaml-base, xterm
Description: example presentations for Active-DVI (advi)
 Active-DVI is a DVI previewer and presenter written in Objective Caml
 with some eye candy effects for presentation, support for interactive
 demonstrations, and embedding of arbitrary applications within the
 presentation (hence the Active adjective of the presenter :).
 .
 This package contains example presentations for Active-DVI.
