=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

# For dvips reproducibility
# See https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
export FORCE_SOURCE_DATE=1

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_autoreconf:

execute_after_dh_auto_build:
	$(MAKE) doc.manual
