## advi jax-0.0.1

=== requirements.txt ===
tensorflow_probability
distrax
jaxlib
jax
numpy
setuptools_scm[toml]

setuptools_scm_git_archive
